petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFECreateDefault

Create a PetscFE for basic FEM computation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(DM dm, PetscInt dim, PetscInt numComp, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective on DM

### Input Parameters

| dm | - The underlying DM for the domain
| dim | - The spatial dimension
| numComp | - The number of components
| isSimplex | - Flag for simplex reference cell, otherwise its a tensor product
| prefix | - The options prefix, or NULL
| qorder | - The quadrature order

### Output Parameter

fem -The PetscFE object

### Keywords

PetscFE, finite element

### See Also

PetscFECreate(), PetscSpaceCreate(), PetscDualSpaceCreate()

Level:beginner
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html